public static interface CustomAPIPagination.TokenPaginationOrBuilder extends MessageOrBuilderImplements
MessageOrBuilderMethods
getNextPageTokenJsonPath()
public abstract String getNextPageTokenJsonPath()Required. Enter the field in the API response that contains the URL or token needed to fetch the next page of data.
string next_page_token_json_path = 1 [(.google.api.field_behavior) = REQUIRED];
| Returns | |
|---|---|
| Type | Description |
String |
The nextPageTokenJsonPath. |
getNextPageTokenJsonPathBytes()
public abstract ByteString getNextPageTokenJsonPathBytes()Required. Enter the field in the API response that contains the URL or token needed to fetch the next page of data.
string next_page_token_json_path = 1 [(.google.api.field_behavior) = REQUIRED];
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for nextPageTokenJsonPath. |
getQueryParam()
public abstract String getQueryParam()Required. Specify the name of the query parameter for next page token in request.
string query_param = 2 [(.google.api.field_behavior) = REQUIRED];
| Returns | |
|---|---|
| Type | Description |
String |
The queryParam. |
getQueryParamBytes()
public abstract ByteString getQueryParamBytes()Required. Specify the name of the query parameter for next page token in request.
string query_param = 2 [(.google.api.field_behavior) = REQUIRED];
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for queryParam. |